$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.80.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.80.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '34E28B4953AD1FAFD8A8B18A4950489B3AF10C3800EDDCE7F13D40A45E87C7A2'
  checksumType = 'sha256'
  checksum64 = '34E28B4953AD1FAFD8A8B18A4950489B3AF10C3800EDDCE7F13D40A45E87C7A2'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.80-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
